getmempoolancestors
POST
Returns all in-mempool ancestors for a transaction in the mempool.An ancestor is an unconfirmed transaction that the target transaction spends as an input.Set
verbose to true to return an object keyed by transaction id with detailed mempool data.param[0]
txidstringrequired
The transaction id. The transaction must be in the mempool.param[1]
verbosebooleanrequired
Whether to return a detailed object. When false, an array of transaction ids is returned.Responses
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Unauthorized"}
cURL
curl -X POST 'https://bitcoin-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "getmempoolancestors","params": ["4a5e1e4baab89f3a32518a88c31bc87f618f76673e2cc77ab2127b7afdeda33b",false]}'